> For the complete documentation index, see [llms.txt](https://docs.xibosignage.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xibosignage.com/layouts/layouts_editor_using_templates.md).

# Using Templates

Use Templates to speed up the design process so that Users can customise content rather than having to start from scratch building Layout designs.

Streamline content creation with pre-designed Layouts to allow Users to concentrate on the core content whilst maintaining company/industry visual set standards and guidelines.

## How-to Video Using Templates

{% embed url="<https://youtu.be/3TrfKRWcem4>" %}

## Published Layouts as Templates

Layouts created in the Layout Editor can be saved for future selection as a Template after Publishing:

1. From the **Layout Editor**, open the top menu
2. From the drop down, select **Save Template**
3. Complete all the relevant form field, opting to include all Widgets to the Template design if required
4. **Save**

Published Layouts can also be saved as a Template from the **Layouts** grid:

1. Navigate to **Layouts** under the **Design** section of the main CMS menu
2. Use the row menu for a Published Layout and select **Save Template**
3. Complete form fields and **Save**

{% hint style="success" %}
Layouts with the tag 'Template' will also add the Layout to your list of Template designs!&#x20;
{% endhint %}

## Using Templates to create new Layout designs

Create a new design for your Layout using a Template from inside the Layout Editor:

1. Click to open the **Toolbox**
2. Select the **Search for Layout Templates** button
3. Use the filters to narrow down search results
4. Drag and drop the selected Template to the canvas
5. Customise or add items as required
6. Use the top menu to **Publish** once happy with the design

## Xibo Exchange Templates

Select from an updated catalogue of Xibo Template designs. Each Template has been created using established design standards and can serve as a great starting point to create professional looking content without extensive design skills. Templates are fully customisable and can be adapted to suit content needs.

Xibo Templates are available from inside the Layout Editor:

1. Click to open the Toolbox
2. Select the **Xibo Exchange** button
3. Use the filters to narrow down search results
4. Drag and drop the selected Template to the canvas
5. Customise / adapt as required
6. Use the top menu to **Publish** once happy with the design

{% hint style="warning" %}
Selecting a Template will replace the Layout design you are currently working on with the selected Template. This action is irreversible and so must be used with caution.&#x20;
{% endhint %}

## Further Reading

{% content-ref url="/pages/L8ste2vjohsdskhuMbDm" %}
[Layout Editor](/layouts/layouts_editor.md)
{% endcontent-ref %}

{% content-ref url="/pages/LAZhfByQTb66EO4x8XyF" %}
[Editing Tools](/layouts/layouts_editor_editing_tools.md)
{% endcontent-ref %}

## FAQs

***Where can I view/edit my saved Templates?***

Layouts which have been saved as Templates are viewed and managed from the Templates page under the Design section of the main CMS menu.

***I don't see the Xibo Exchange button from the Toolbox?***

These Templates are enabled by default for new Xibo Cloud Hosting customers. If you are upgrading from an earlier version you will need to enable the **Xibo Exchange Connector** found under the **Administrator** section of the main CMS menu.

Self-hosted installations do not have these Templates enabled by default. Enable the **Xibo Exchange Connector** found under the **Administrator** section of the main CMS menu.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xibosignage.com/layouts/layouts_editor_using_templates.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
